#116 change the picture

closed-works-for-me
5
2013-10-30
2009-03-25
Anonymous
No

can we customize the picture?

Related

Feature Requests: #116

Discussion

    • status: open --> pending
     
  • For work I have a few versions of OSX installed on different partitions, so I can help different clients. Is there a way to change icons for specific partitions?

     
    • status: pending --> open
     
  • Yes, you can change the icon for each of the different Mac OS X installations. Check out:
    http://refit.sourceforge.net/doc/c3s1_icons.html
    The "Operating System Icon by EFI Loader" section is what you're after. If you put an .icns file in /System/Library/CoreServices/boot.icns, that will be used instead of the default Mac OS X icon.

     
    • assigned_to: nobody --> chrisp
    • status: open --> closed-works-for-me
     
  • We know how to change the icons for different OSs, what we want is an option to change the icons on multiple OSs such as two linux installs. How do you expect to tell the different between two tux icons? It would be much more easier to have a debian icon for your debian linux install, and an ubuntu icon for your ubuntu linux install, and of course different icons for separate mac installs and other OSs like the BSDs.

    A LOT of people are frustrated with this aspect of rEFIt and I hope this clears up the confusion. Please let us know if we can fix it. Thank you.

     
  • Jimmy Mac
    Jimmy Mac
    2013-10-29

    Was there a viable solution to Nobody/Anonymous post of 2009-06-29. I too have 4 OSes currently booting off an iMac and the Apple and Windows logos are perfectly fine. I can replace the Tux logo with a logo of whichever distro I choose to use but then it also takes that same logo for the second distro (in my case CentOS and Ubuntu). Is there a definitive way to have them identify themselves with their respective logos in the rEFIt startup/splash screen?

     
  • rEFInd, which is a maintained fork of rEFIt, provides better support for a wider range of OS/bootloader icons than does rEFIt. You might want to check it out, and in particular, check this section of the documentation for information on icon management. Note that rEFInd has inherited some of this from rEFIt, whereas other features are new to rEFInd. It's been 1.5 years since I did the original fork, though, and I don't clearly remember which specific icon features are carried over from rEFIt and which are new with rEFInd.

     
  • Jimmy Mac
    Jimmy Mac
    2013-10-30

    Will rEFInd work with a Macintosh and quad booting (Mac OS X Mavericks, Windows 7, Ubuntu and CentOS)? Some reading I have done has mentioned it is not as "forgiving" as rEFIt and does not have the inherent Mac support. Is this true?

    On Tuesday, October 29, 2013 4:43:59 PM, Roderick W. Smith srs5694@users.sf.net wrote:

    rEFInd, which is a maintained fork of rEFIt, provides better support for a wider range of OS/bootloader icons than does rEFIt. You might want to check it out, and in particular, check this section of the documentation for information on icon management. Note that rEFInd has inherited some of this from rEFIt, whereas other features are new to rEFInd. It's been 1.5 years since I did the original fork, though, and I don't clearly remember which specific icon features are carried over from rEFIt and which are new with rEFInd.


    [feature-requests:#116] change the picture
    Status: closed-works-for-me
    Labels: rEFIt User Interface
    Created: Wed Mar 25, 2009 05:55 AM UTC by Anonymous
    Last Updated: Tue Oct 29, 2013 07:41 PM UTC
    Owner: Christoph Pfisterer
    can we customize the picture?


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/refit/feature-requests/116/
    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #116

  • I'm more of a PC person than a Mac person, and I use Linux as my development platform, so some of the Mac-centric features of rEFIt have been dropped in rEFInd. For instance, rEFInd's OS X installer is a shell script, not a point-and-click installer file. There also seem to be one or two Mac-specific bugs that have crept in -- for instance, some users have reported problems with sleep mode that I've been unable to reproduce on my one ancient Mac Mini.

    That said, a quad boot between OS X, Windows, and two Linux distributions should certainly be possible with rEFInd. The trickiest thing about that setup is the Windows part, since Windows will almost certainly be booting in BIOS mode, and that's tricky -- even with rEFIt, things can go wrong with the hybrid MBR or BIOS-mode boot loader. If you boot Linux in EFI mode (which is easier with rEFInd than with rEFIt), the BIOS side can become simpler, and adding more EFI-mode boot loaders is less likely to cause problems than adding more BIOS-mode boot loaders.

    You can try rEFInd without risk by using the USB flash drive or CD-R images, but be aware that some Macs don't work with one or the other of these because of Apple's non-standard EFI implementation. Alternatively, you can manually install rEFInd alongside rEFIt without using the bless command, then launch rEFInd from rEFIt to see how rEFInd works.